MagickWand: pixel-iterator.c File Reference

# pixel-iterator.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/magick-wand-private.h"`
`#include "wand/pixel-iterator.h"`
`#include "wand/pixel-wand.h"`
`#include "wand/wand.h"`

## Data Structures
struct | _PixelIterator
## Defines
#define | PixelIteratorId "PixelIterator"
## Functions
WandExport void | ClearPixelIterator (PixelIterator *iterator)
WandExport PixelIterator * | ClonePixelIterator (const PixelIterator *iterator)
WandExport PixelIterator * | DestroyPixelIterator (PixelIterator *iterator)
WandExport MagickBooleanType | IsPixelIterator (const PixelIterator *iterator)
WandExport PixelIterator * | NewPixelIterator (MagickWand *wand)
WandExport MagickBooleanType | PixelClearIteratorException (PixelIterator *iterator)
WandExport PixelIterator * | NewPixelRegionIterator (MagickWand *wand, const long x, const long y, const unsigned long columns, const unsigned long rows)
WandExport PixelWand ** | PixelGetCurrentIteratorRow (PixelIterator *iterator, unsigned long *number_wands)
WandExport char * | PixelGetIteratorException (const PixelIterator *iterator, ExceptionType *severity)
WandExport ExceptionType | PixelGetIteratorExceptionType (const PixelIterator *wand)
WandExport long | PixelGetIteratorRow (PixelIterator *iterator)
WandExport PixelWand ** | PixelGetNextIteratorRow (PixelIterator *iterator, unsigned long *number_wands)
WandExport PixelWand ** | PixelGetPreviousRow (PixelIterator *iterator)
WandExport PixelWand ** | PixelGetPreviousIteratorRow (PixelIterator *iterator, unsigned long *number_wands)
WandExport void | PixelResetIterator (PixelIterator *iterator)
WandExport void | PixelSetFirstIteratorRow (PixelIterator *iterator)
WandExport MagickBooleanType | PixelSetIteratorRow (PixelIterator *iterator, const long row)
WandExport void | PixelSetLastIteratorRow (PixelIterator *iterator)
WandExport MagickBooleanType | PixelSyncIterator (PixelIterator *iterator)

## Define Documentation

#define PixelIteratorId "PixelIterator"

## Function Documentation

WandExport void ClearPixelIterator | ( | PixelIterator * | iterator | ) |

WandExport PixelIterator* ClonePixelIterator | ( | const PixelIterator * | iterator | ) |

WandExport PixelIterator* DestroyPixelIterator | ( | PixelIterator * | iterator | ) |

WandExport MagickBooleanType IsPixelIterator | ( | const PixelIterator * | iterator | ) |

WandExport PixelIterator* NewPixelIterator | ( | MagickWand * | wand | ) |

WandExport PixelIterator* NewPixelRegionIterator | ( | MagickWand * | wand,
|  | const long | x,
|  | const long | y,
|  | const unsigned long | columns,
|  | const unsigned long | rows |
| ) |  |  |

WandExport MagickBooleanType PixelClearIteratorException | ( | PixelIterator * | iterator | ) |

WandExport PixelWand** PixelGetCurrentIteratorRow | ( | PixelIterator * | iterator,
|  | unsigned long * | number_wands |
| ) |  |  |

WandExport char* PixelGetIteratorException | ( | const PixelIterator * | iterator,
|  | ExceptionType * | severity |
| ) |  |  |

WandExport ExceptionType PixelGetIteratorExceptionType | ( | const PixelIterator * | wand | ) |

WandExport long PixelGetIteratorRow | ( | PixelIterator * | iterator | ) |

WandExport PixelWand** PixelGetNextIteratorRow | ( | PixelIterator * | iterator,
|  | unsigned long * | number_wands |
| ) |  |  |

WandExport PixelWand** PixelGetPreviousIteratorRow | ( | PixelIterator * | iterator,
|  | unsigned long * | number_wands |
| ) |  |  |

WandExport PixelWand** PixelGetPreviousRow | ( | PixelIterator * | iterator | ) |

WandExport void PixelResetIterator | ( | PixelIterator * | iterator | ) |

WandExport void PixelSetFirstIteratorRow | ( | PixelIterator * | iterator | ) |

WandExport MagickBooleanType PixelSetIteratorRow | ( | PixelIterator * | iterator,
|  | const long | row |
| ) |  |  |

WandExport void PixelSetLastIteratorRow | ( | PixelIterator * | iterator | ) |

WandExport MagickBooleanType PixelSyncIterator | ( | PixelIterator * | iterator | ) |